voa-verify(1)

NAME
voa-verify - Verify a file using suitable verifiers and signatures.

SYNOPSIS
voa verify [-o|--output-format] [-v|--verbose]... [-q|--quiet]... [-h|--help] <OS> <PURPOSE> <CONTEXT> <TECHNOLOGY> <FILE> [SIGNATURES]

DESCRIPTION
Verify a file using suitable verifiers and signatures.

Returns a status message on stdout.

Returns a non-zero exit code and an error message on stderr, if the verification of one or more signature files fails.

OPTIONS

-o, --output-format <OUTPUT_FORMAT> [default: text]
    The output format to use.
    Possible values:

    •   json: The JSON output format

    •   text: The default text output format
    May also be specified with the VOA_VERIFY_OUTPUT_FORMAT environment variable.

-v, --verbose
    Increase logging verbosity

-q, --quiet
    Decrease logging verbosity

-h, --help
    Print help (see a summary with '-h')

<OS>
    The OS to verify for.
    May also be specified with the VOA_VERIFY_OS environment variable.

<PURPOSE>
    The purpose to verify for.
    May also be specified with the VOA_VERIFY_PURPOSE environment variable.

<CONTEXT>
    The context to verify for.
    May also be specified with the VOA_VERIFY_CONTEXT environment variable.

<TECHNOLOGY>
    The technology to verify with. Currently only "openpgp" is supported.
    May also be specified with the VOA_VERIFY_TECHNOLOGY environment variable.

<FILE>
    The file to verify.
    May also be specified with the VOA_VERIFY_FILE environment variable.

[SIGNATURES]
    The signature to verify a file with.
    May also be specified with the VOA_VERIFY_SIGNATURE environment variable.